Name:		tartube
Version:	2.3.549
Release:	1%{?dist}
Summary:	GUI for youtube-dl
License:	GPLv3
Group:		Video/Players
Url:		https://github.com/axcore/tartube
Source0:	https://github.com/axcore/tartube/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires: 	python%{python3_pkgversion}-feedparser
BuildRequires:	python%{python3_pkgversion}-moviepy
BuildRequires:	python%{python3_pkgversion}-requests
BuildRequires:	python%{python3_pkgversion}-twodict
BuildRequires:	python%{python3_pkgversion}-wxpython4

Requires: 	python%{python3_pkgversion}-feedparser
Requires:	python%{python3_pkgversion}-matplotlib
Requires:	python%{python3_pkgversion}-matplotlib-gtk3
Requires:	python%{python3_pkgversion}-moviepy
Requires:	python%{python3_pkgversion}-playsound
Requires:	python%{python3_pkgversion}-requests
Requires:	python%{python3_pkgversion}-twodict
Requires:	python%{python3_pkgversion}-wxpython4
Requires:	aria2
Requires:	AtomicParsley
%if ( 0%{?rhel} && 0%{?rhel} > 7 )
Recommends:	ffmpeg
%endif
Requires:	youtube-dl
Provides:	youtube-dl-gui = %{version}-%{release}
Obsoletes:	youtube-dl-gui <= 0.4

%description
A front-end GUI for the popular youtube-dl written in wxPython.
It's a fork of youtube-dl-gui which works with python3.

%prep
%autosetup -p1

%build
export TARTUBE_PKG_STRICT=1
%py3_build

%install
%py3_install

# (tv) fix installation (& thus startup):
mkdir -p %{buildroot}%{_datadir}/tartube/
mv %{buildroot}/tartube %{buildroot}%{_datadir}/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 pack/tartube.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 pack/tartube.png %{buildroot}%{_datadir}/pixmaps

mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tartube
GenericName=YouTube-dl GUI
Comment=GUI front-end for youtube-dl
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Audio;Video;AudioVideo;
EOF

%files
%doc CHANGES README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/tartube/
%{python3_sitelib}/tartube/
%{python3_sitelib}/tartube-%{version}-py%{python3_version}.egg-info/
%{_mandir}/man1/*


%changelog
* Mon Apr 11 2022 Jean-Marc Liger <ligenix@iscp.fr> 2.3.549-1
- Update to 2.3.549

* Wed Mar 16 2022 Jean-Marc Liger <ligenix@iscp.fr> 2.3.367-1
- Update to 2.3.337

* Sat Oct 16 2021 Jean-Marc Liger <ligenix@iscp.fr> 2.3.332-1
- Update to 2.3.332

* Sat May 22 2021 Jean-Marc Liger <ligenix@iscp.fr> 2.3.110-1
- Import from OpenMandriva
- Obsolete youtube-dl-gui (which is python2 only)

